Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model
Class UtcOffset

    java.lang.Object
      net.fortuna.ical4j.model.UtcOffset

All Implemented Interfaces:
  Serializable

    public class UtcOffset

extends Object
implements Serializable

Represents a timezone offset from UTC time.

Author:
  Ben Fortuna
See Also:
  Serialized Form

Constructor Summary
`UtcOffset(long offset)`
`UtcOffset(String value)`

Method Summary
`boolean` | `equals(Object arg0)`
`long` | `getOffset()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UtcOffset

    public UtcOffset(String value)

Parameters:
  `value` -

### UtcOffset

    public UtcOffset(long offset)

Parameters:
  `offset` -

Method Detail

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

### getOffset

    public final long getOffset()

  Returns:
    Returns the offset.

### equals

    public final boolean equals(Object arg0)

  Overrides:
    `equals` in class `Object`

### hashCode

    public final int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.